{%
  set classes = [
  'node',
  'node--type-' ~ node.bundle|clean_class,
  'row',
  view_mode ? 'node--view-mode-' ~ view_mode|clean_class,
]
%}

<article{{ attributes.addClass(classes) }}>
  <div class="col-lg-9 col-md-8 col-xs-12 content">
    <div{{ content_attributes.addClass('node__content') }}>
      <div class="row mr-1">
        <h1 class="w-auto">
          {% if not node.isPublished() %}
            <i class="fa-sharp fa-solid fa-lock"></i>
          {% endif %}
          <span>
            {{ node.getTitle() }}
          </span>
        </h1>
      </div>
      <div class="row mt-0 mb-3 mr-1">
        <ul class="list-inline mb-0">
          <li class="list-inline-item mr-4">
            <small>
              {{ 'Available since'|t }}
              {% set metadata_created = node.getCreatedTime()|date('Y-m-d H:i:s') %}
              <time class="fw-bold" datetime="{{ metadata_created }}"
                    title="{{ metadata_created }}" data-bs-toggle="tooltip" data-placement="top">
                {{ node.getCreatedTime()|date('d/m/Y') }}
              </time>
            </small>
          </li>

          <li class="list-inline-item">
            <small>
              {{ 'Last modified'|t }}
              {% set metadata_modified = node.getChangedTime()|date('Y-m-d H:i:s') %}
              <time class="fw-bold" datetime="{{ metadata_modified }}"
                    title="{{ metadata_modified }}" data-bs-toggle="tooltip" data-placement="top">
                {{ node.getChangedTime()|date('d/m/Y') }}
              </time>
            </small>
          </li>
        </ul>
      </div>
      {% if dossiers|length == 0 and manage_links %}
        <div class="alert alert-warning" role="alert">
          {{ 'This document has no link to any dossier.'|t }}
        </div>
      {% endif %}
        <div class="description-container">
          <div>
            {{ content.field_beschrijving }}
          </div>
        </div>
      {% if content.field_trefwoorden %}
        {{ content.field_trefwoorden }}
      {% endif %}

      {% if content.field_bestand_opties.0['#markup'] == 'upload' %}
        {{ content.field_bestand }}
      {% else %}
        {{ content.field_extern_bestand }}
      {% endif %}
    </div>
  </div>
  <div class="col-lg-3 col-md-4 col-xs-12 p-0">
    {% if manage_links %}
      <div class="mb-3">
        <div class="dropdown no-padding">
          <button class="btn btn-md btn-primary dropdown-toggle w-100" type="button"
                  data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            {{ 'Manage document'|t }}
          </button>
          <div class="dropdown-menu w-100">
            {% for manage_link in manage_links %}
              <a class="dropdown-item" rel="nofollow" data-bs-toggle="tooltip" data-placement="top"
                 title="{{ manage_link.label }}" href="{{ manage_link.url }}">
                {{ manage_link.label }}
              </a>
            {% endfor %}
          </div>
        </div>
      </div>
    {% endif %}

    <div class="mb-3">
      <div class="info-block">
        <h2 class="h5">{{ 'Publication'|t }}</h2>
        <dl>
          {% if content.field_publicatiedatum %}
            <dt>
              <i class="fa-fw fa-solid" data-label="{{ 'Publication date'|t }}"></i>
              {{ 'Publication date'|t }}
            </dt>
            <dd>
              {{ content.field_publicatiedatum  }}
            </dd>
          {% endif %}
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Information category'|t }}"></i>
            {{ 'Information category'|t }}
          </dt>
          <dd>
            {{ content.field_informatiecategorie  }}
          </dd>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Document type'|t }}"></i>
            {{ 'Document type'|t }}
          </dt>
          <dd>
            {{ content.field_documentsoort }}
          </dd>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Disclosure level'|t }}"></i>
            {{ 'Disclosure level'|t }}
          </dt>
          <dd>
            {{ content.field_openbaarheidsniveau  }}
          </dd>
        </dl>
      </div>
      {% if dossiers %}
        <div class="info-block">
          <h2 class="h5">{{ 'Part of'|t }}</h2>
          <dl>
            <dt>
              <i class="fa-fw fa-solid" data-label="{{ 'Dossier'|t }}"></i>
              {{ 'Dossier'|t }}
            </dt>
            <dd>
              {% for dossier in dossiers %}
                <a href="{{ dossier.link }}" class="d-block">
                  {{ dossier.id }} - {{ dossier.title }}
                </a>
              {% endfor %}
            </dd>
          </dl>
        </div>
      {% endif %}
      <div class="info-block">
        <h2 class="h5">{{ 'Features'|t }}</h2>
        <dl>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Theme'|t }}"></i>
            {{ 'Theme'|t }}
          </dt>
          <dd>
            {{ content.field_thema }}
          </dd>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Format'|t({}, {'context': 'facet'}) }}"></i>
            {{ 'Format'|t }}
          </dt>
          <dd>
            {{ content.field_bestandsformaat }}
          </dd>
        </dl>
      </div>
      <div class="info-block">
        <h2 class="h5">{{ 'Ownership'|t }}</h2>
        <dl>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Maintainer'|t({}, {'context': 'facet'}) }}"></i>
            {{ 'Maintainer'|t({}, {'context': 'facet'}) }}
          </dt>
          <dd>
            {{ content.field_bronhouder }}
          </dd>
        </dl>
      </div>
      <div class="info-block">
        <h2 class="h5">{{ 'Meta data'|t }}</h2>
        <dl>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Type of action'|t }}"></i>
            {{ 'Type of action'|t }}
          </dt>
          <dd>
            {{ content.field_soort_handeling }}
          </dd>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Date of action'|t }}"></i>
            {{ 'Date of action'|t }}
          </dt>
          <dd>
            {{ content.field_datum_handeling }}
          </dd>
          <dt>
            <i class="fa-fw fa-solid" data-label="{{ 'Identification number source system'|t }}"></i>
            {{ 'Identification number source system'|t }}
          </dt>
          <dd>
            {{ identifiers|join(', ') }}
          </dd>
        </dl>
      </div>
    </div>
    {% block additionalBlocks %}
    {% endblock %}
  </div>
</article>

{% if node.in_preview %}
  <div>
    {% for preview_link in preview_links %}
      <a class="button button--primary btn btn-primary back-button mt-4" href="{{ preview_link.route }}{{ preview_dossier }}">{{ preview_link.label }}</a>
    {% endfor %}
  </div>
{% endif %}
